2020-08-13 03:56 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000033FSSCPDirectXpublic2004-02-20 00:29
Reporterkasperl 
Assigned ToGoober5000 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000033: subsystems are targeted when main hull should be.
DescriptionFound this when testing the fs2_DX8.exe. I've got nothing more installed on FS2 other than the DX8 exe.

some specs..

Debugfile reads:
DBUGFILE Active: nimroy 11/11/02 18:31:12
OS: Windows 2000 Release, C:\FreeSpace 2\fs2_DX8.exe
[GrD3D.cpp,2604] Mode: 1024 x 768 x 32 bit
[GrD3D.cpp,2629] Using hardware vertex processing
[GrD3D.cpp,2637] D3D_32bit 1, bits_per_pixel 32
[GrD3D.cpp,2242] Using: D3DFMT_A4R4G4B4
[GrD3D.cpp,2233] Using: D3DFMT_A1R5G5B5
[GrD3D.cpp,2360] default_32_alpha_tformat 21
[GrD3D.cpp, 961] D3D_fog_mode 1
[GrD3DTexture.cpp,1124] Max textures: 4096 4096
[GrD3D.cpp,2705] D3d_rendition_uvs: 1
[GrD3D.cpp,2731] gr_d3d_init end
[GrD3D.cpp,2183] Using: D3DFMT_X8R8G8B8: 16711680 65280 255
[GrD3D.cpp, 779] Number of unfreed textures 0
Normal end

I tested it with 4 Sample Antialaiasing

Look at these, here Im running the fouth training mission ( the one were you first fly the Herc MK2 ).
From Freespace2.exe:
Http://hjordis.no-ip.org/screen00.orgianl.jpg
From fs2_DX8.exe:
Http://hjordis.no-ip.org/screen00.jpg

{[( links are dead, go to bugzilla link to view attachments)]}

As you can see, in the DX8 version the Harpoon locks on too the wrong part of the training drone.



------- Additional Comment 0000004 From nimroy 2002-11-11 12:50 -------
Look like it targets a subsystem, but dosent inform you of it in the target box.



------- Additional Comment 0000005 From Edward Gardner 2002-11-12 07:47 -------
This looks like another missile bug?

Reassigning to phreak.
Additional Informationhttp://fs2source.warpcore.org/bugzilla/show_bug.cgi?id=35

reported by:
bottomfan@subdimension.com (nimroy)
win 2k

assigned to:
niannett@neo.rr.com (phreak)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000081

Goober5000 (administrator)

Assigning to Phreak, since it was his bug in Bugzilla.

~0000194

Goober5000 (administrator)

Phreak, any news on this?

~0000205

phreak (developer)

this was occuring in one of random tiger's DX8 test builds back when DX8 still wasn't completed. I have yet to see it.

~0000206

Goober5000 (administrator)

Hm. More than a year out of date; marked as fixed.
+Notes

-Issue History
Date Modified Username Field Change
2004-01-16 04:39 kasperl New Issue
2004-01-20 17:31 Goober5000 Note Added: 0000081
2004-01-20 17:31 Goober5000 Assigned To => phreak
2004-01-20 17:31 Goober5000 Status new => assigned
2004-02-12 00:59 Goober5000 Note Added: 0000194
2004-02-19 22:27 phreak Note Added: 0000205
2004-02-20 00:29 Goober5000 Status assigned => resolved
2004-02-20 00:29 Goober5000 Resolution open => fixed
2004-02-20 00:29 Goober5000 Assigned To phreak => Goober5000
2004-02-20 00:29 Goober5000 Note Added: 0000206
+Issue History